### Method

# Shell AppSystem get_installed

#### Declaration [src]

    GList*
    shell_app_system_get_installed (
      ShellAppSystem* self
    )

#### Description [src]

Returns all installed apps, as a list of `GAppInfo`.

#### Return value

Type: A list of `GAppInfo*`

A list of `GAppInfo` describing all known applications. This memory is owned by the `ShellAppSystem` and should not be freed.

The returned data is owned by the instance.